description(
'This test checks HTTP methods support by the <code>open</code> method of the <code>XMLHttpRequest</code> interface. This test is informative only.'
);

function testMethod(method) {
  var xhr = getXHR();
  
   try {
     xhr.open(method, ".",true);
     xhr.onreadystatechange=function() {
      if (xhr.readyState==4) {
       testPassed("open supports " + method + " HTTP method");
      }
     }
     xhr.send(null)
   }
   catch (e) {
    testFailed("open threw exception when using " + method + " HTTP method: " + e);
   } 
}

testMethod("HEAD");
testMethod("GET");
testMethod("POST");
testMethod("PUT");
testMethod("DELETE");
testMethod("OPTIONS");
var successfullyParsed = true;
